Messaging (v1)
OpenCloud v1 reference for Messaging.
Base URL: https://apis.roblox.com/messaging-service
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
POST | /v1/universes/:universeId/topics/:topic | postUniversesUniverseIdTopicsTopic (deprecated) |
postUniversesUniverseIdTopicsTopic deprecated
Section titled “postUniversesUniverseIdTopicsTopic deprecated”POST /v1/universes/:universeId/topics/:topic
Publish a message to a pre-defined topic of an experience, with the size of the message up to 1,024 characters (1 KB). Requires the Publish permission for API keys and the universe-messaging-service:publish scope for OAuth 2.0 apps. See Cross-server messaging for defining and subscribing users to a topic.
See:
POST https://apis.roblox.com/cloud/v2/universes/{universe_id}:publishMessage
Scopes: universe-messaging-service:publish
Usage
import { fetchApi } from 'rozod';import { postUniversesUniverseIdTopicsTopic } from 'rozod/lib/opencloud/v1/messaging';
const data = await fetchApi(postUniversesUniverseIdTopicsTopic, { universeId: /* integer */, topic: /* string \| null */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId | integer | Yes | The identifier of the experience in which you want to send your messages to. You can copy your experience’s Universe ID on Creator Dashboard . |
topic | string | null | Yes | The topic that you want to publish your message to, with up to 80 characters. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
message | string | null |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Invalid request. |
| 401 | The API key is not valid for this operation / You don’t have the authorization. |
| 403 | Publishing is not allowed on this experience. |
| 500 | Server internal error / Unknown error. |